Implementation instructions for MSC Track
=================================================

Requirements
------------

Import the appblocks and utilities libraries from the SDK git hub repo:

git://github.zynga.com/sdk/zynga-android-sdk.git


Install Tracking
----------------

During application startup, once ZID or SNID/SNUID are available call the
appropriate method, this should be done every time the game is launched.

	    	MSCTrack tracker = MSCTrack.getInstance(Context context);
	    	// One of the following two:
	    	// For ZID only
	    	tracker.appLaunch(String appId, String zid, String udid, int gameId);
	    	// For any social network like Facebook
	    	tracker.appLaunch(String appId, int snid, String snuid, String udid, int gameId);


Ad Click Tracking
-----------------

This is already done by X-Promo / Inbox, however if a title is using some other
promotional piece and needs to track ad clicks the following can be used:

	    	MSCTrack tracker = MSCTrack.getInstance(Context context);
	    	// One of the following two:
	    	tracker.adClicked(String appId, String zid, String udid, int gameId, int destGameId);
	    	tracker.adClicked(String appId, int snid, String snuid, String udid, int gameId, int destGameId);
